LibreOffice: FormatElement Struct Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Attributes | List of all members
FormatElement Struct Referencepublished

One number format code and its attributes, returned in a sequence by XLocaleData::getAllFormats(). More...

## Public Attributes
string | formatCode
| The format code, for example, "YYYY-MM-DD".
string | formatName
| A name or description that is displayed in the number formatter dialog.
string | formatKey
| A unique (within one locale) identifier.
string | formatType
| Type may be one of "short", "medium", "long".
string | formatUsage
| Usage category, for example, "DATE" or "FIXED_NUMBER", corresponding with KNumberFormatUsage values.
short | formatIndex
| The index used by the number formatter, predefined values corresponding with NumberFormatIndex values.
boolean | isDefault
| If a format code is the default code of a formatType group.

## Detailed Description

One number format code and its attributes, returned in a sequence by XLocaleData::getAllFormats().

Contains raw data defined in the XML locale data files.

See also
  XLocaleData for links to DTD of XML locale data files.

## Member Data Documentation

## ◆ formatCode

string formatCode

The format code, for example, "YYYY-MM-DD".

## ◆ formatIndex

short formatIndex

The index used by the number formatter, predefined values corresponding with NumberFormatIndex values.

## ◆ formatKey

string formatKey

A unique (within one locale) identifier.

## ◆ formatName

string formatName

A name or description that is displayed in the number formatter dialog.

## ◆ formatType

string formatType

Type may be one of "short", "medium", "long".

## ◆ formatUsage

string formatUsage

Usage category, for example, "DATE" or "FIXED_NUMBER", corresponding with KNumberFormatUsage values.

## ◆ isDefault

boolean isDefault

If a format code is the default code of a formatType group.

The documentation for this struct was generated from the following file:

- com/sun/star/i18n/FormatElement.idl